diff --git a/core/connectors/connector.c b/core/connectors/connector.c
index a0c96f14..be3dda15 100644
--- a/core/connectors/connector.c
+++ b/core/connectors/connector.c
@@ -218,7 +218,10 @@ int connector_send()
         case C_TYPE_DEFAULT:
           if(controller->dst_fd >= 0)
           {
-            ret = udp_send(controller->dst_fd, (unsigned char*)controller->axis, sizeof(controller->axis));
+            if(controller->send_command)
+            {
+              ret = udp_send(controller->dst_fd, (unsigned char*)controller->axis, sizeof(controller->axis));
+            }
           }
 #ifndef WIN32
           else if(controller->bdaddr_dst)
